<?php
/**
 * 跳转文件
 * @package	$vivi
 * @copyright	Copyright (c) 2012-2013, DuoTaoPu.Com
 * @link	http://www.DuoTaoPu.com
 */
//加载系统核心文件
require(dirname(__FILE__)."/core/common.php");
$href=base64_decode($_SERVER['QUERY_STRING']);
if(!$href || substr($href,0,7)!='http://' || (stripos($href,'taobao.com')===false && stripos($href,'tmall.com')===false)){
	header('Location: '.WEB_ROOT.'/');exit;
}
if($web_tdjcode!='') $userid=getShopUserId($href);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gbk" />
<meta http-equiv="Cache-Control" content="no-cache">
<meta name="robots" content="noindex,nofollow" />
<title>正在为您跳转...</title>
<style type="text/css">
body,p{font:12px/24px arial;margin:0;padding:0;}
.pic {}
.box{margin: 50px auto;width: 500px;border:5px solid #eee;}
.box p{padding:8px;}
.read{border-bottom:1px solid #ff6600;background:#fff2d7;}
</style>
</head>
<body>
<div class="box">
<div class="pic"><a data-type="1" biz-sellerid="<?php echo $userid;?>" data-tmpl="140x190" data-tmplid="3" data-rd="1" data-style="2" data-border="1" href="<?php echo $href;?>"></a></div>
<p class="read">1.点击以上图片可进入淘宝网查看详细描述！<br>2.如果以上无法显示，可能使用了广告屏蔽插件(如Adblock)，请将本站加入白名单、或停用插件</p>
<p>如果您等待时间过长，<a id="Jump_link" href="<?php echo $href;?>" style="color:red">请直接点击这里</a></p>
</div>
<?php
echo $web_tdjcode;
?>
<script type="text/javascript">
function lastJump(ii){
	if( ii==0 ){
		var o=document.getElementById("Jump_link");
		if(document.all){
			o.click();
		}else{
			window.location=o.href;
		}
		return false;
	}
	ii--;
	setTimeout("lastJump("+ii+")",1000);
}
function getHref(i){
	if(document.getElementsByTagName("IFRAME").length>0){
		var obj=document.getElementsByTagName("IFRAME")[0].contentWindow;
		if(obj.document.getElementsByTagName("a").length>0){
			var _a=obj.document.getElementsByTagName("a");
			document.getElementById("Jump_link").href=_a[0].href;
			lastJump(0);
			return true;
		}
	}
	i++;
	setTimeout("getHref("+i+")",500);
}
<?php
if($web_tdjcode=='') echo 'lastJump(0);';
?>
getHref(0);
</script>
</body>
</html>